<!--
SPDX-FileCopyrightText: 2024-present University of Utah <info@openzms.org>
SPDX-License-Identifier: Apache-2.0
-->

# zms-client-py (OpenZMS Python 3 API client library and CLI tools)

The [OpenZMS software](https://gitlab.flux.utah.edu/openzms) is a prototype
automatic spectrum-sharing and -management system for radio dynamic zones.
OpenZMS provides mechanisms to share electromagnetic (radio-frequency)
spectrum between experimental or test systems and existing spectrum users,
and between multiple experimental systems.  We are building and deploying
OpenZMS within the context of the POWDER wireless testbed in Salt Lake City,
Utah, part of the NSF-sponsored Platforms for Advanced Wireless Research
program, to create [POWDER-RDZ](https://rdz.powderwireless.net).

This repository contains a OpenZMS Python 3 API client library based on API
bindings (models and API function wrappers) automatically generated from
each OpenZMS service's `openapi` specification.  Bindings are generated using
[our fork](https://gitlab.flux.utah.edu/openzms/openapi-python-client) of
`openapi-python-client`, which has additional support for some of the
`openapi` extension attributes we provide to help generators create better
code.

This repository also provides a [`typer`](https://typer.tiangolo.com/)-based
dynamically-generated CLI tool.  On invocation, the CLI tool scans a subset
of the generated API function wrappers and uses a combination of `typer` and
`click` to wrap them into a CLI tool that exposes each API endpoint as a
subcommand.

Autogenerated API documentation is available at
http://openzms.pages.flux.utah.edu/zms-client-py .
