from typing import TYPE_CHECKING, Any, Dict, List, Type, TypeVar, Union

from attrs import define as _attrs_define
from attrs import field as _attrs_field

from ..types import UNSET, Unset

if TYPE_CHECKING:
    from ..models.constraint import Constraint


T = TypeVar("T", bound="ConstraintList")


@_attrs_define
class ConstraintList:
    """
    Attributes:
        constraints (Union[Unset, List['Constraint']]):
    """

    constraints: Union[Unset, List["Constraint"]] = UNSET
    additional_properties: Dict[str, Any] = _attrs_field(init=False, factory=dict)

    def to_dict(self) -> Dict[str, Any]:
        constraints: Union[Unset, List[Dict[str, Any]]] = UNSET
        if not isinstance(self.constraints, Unset):
            constraints = []
            for constraints_item_data in self.constraints:
                constraints_item = constraints_item_data.to_dict()
                constraints.append(constraints_item)

        field_dict: Dict[str, Any] = {}
        field_dict.update(self.additional_properties)
        field_dict.update({})
        if constraints is not UNSET:
            field_dict["constraints"] = constraints

        return field_dict

    @classmethod
    def from_dict(cls: Type[T], src_dict: Dict[str, Any]) -> T:
        from ..models.constraint import Constraint

        d = src_dict.copy()
        constraints = []
        _constraints = d.pop("constraints", UNSET)
        for constraints_item_data in _constraints or []:
            constraints_item = Constraint.from_dict(constraints_item_data)

            constraints.append(constraints_item)

        constraint_list = cls(
            constraints=constraints,
        )

        constraint_list.additional_properties = d
        return constraint_list

    @property
    def additional_keys(self) -> List[str]:
        return list(self.additional_properties.keys())

    def __getitem__(self, key: str) -> Any:
        return self.additional_properties[key]

    def __setitem__(self, key: str, value: Any) -> None:
        self.additional_properties[key] = value

    def __delitem__(self, key: str) -> None:
        del self.additional_properties[key]

    def __contains__(self, key: str) -> bool:
        return key in self.additional_properties
